Bug 972794 - deja-dup keeps asking for the encryption password
deja-dup keeps asking for the encryption password
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-10 11:33 EDT by Andre Vehreschild
Modified: 2013-08-01 08:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 00:56:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
BackendU1.vala inserting sso-credentials in env-variable. (8.42 KB, text/x-vala)
2013-06-10 11:33 EDT, Andre Vehreschild
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1190661 None None None Never

  None (edit)
Description Andre Vehreschild 2013-06-10 11:33:36 EDT
Created attachment 759233 [details]
BackendU1.vala inserting sso-credentials in env-variable.

Description of problem:
deja-dup keeps asking for the encryption password

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add the rpms needed for Ubuntu One as backup destination as described at
2. Choose Ubuntu One as backup destination.
3. Do a backup. Deja-dup will ask for the sso login credentials for Ubuntu One.
4. Start seahorse, find the key entitled "Ubuntu One", open the details, look at the password in clear text, find the "consumer_key=<something>," text in the password, modify the password text to read consumer_key=<something else>. This renders the sso-data unusable. 
5. Try to backup again. 

Actual results:
deja-dup is asking for the encryption password.

Expected results:
deja-dup asking for the login credentials to Ubuntu One again.

Additional info:
Furthermore is there a problem in transporting the sso credentials retrieved from the dbus-service to duplicity, which expects them to be in the environment variable FTP_PASSWORD. I fixed this by modifying the common/BackendU1.vala (File is attached), because I could not figure out how the credentials should be transfered otherwise.
Comment 1 Rahul Sundaram 2013-06-12 18:36:45 EDT
Please file this upstream at https://launchpad.net/deja-dup
Comment 2 Fedora End Of Life 2013-07-03 20:49:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 00:56:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Andre Vehreschild 2013-08-01 08:17:36 EDT
Current deja-dup-26.0-1.fc19.x86_64 fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.